NewWacht Bench is live — AI-assisted development for Wacht

Replace User

PUT
/scim/v2/{connectionId}/Users/{userId}

Path Parameters

connectionId*string
userId*string

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://{deployment_host}/scim/v2/string/Users/string" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d ''
{
  "schemas": [
    "string"
  ],
  "id": "string",
  "externalId": "string",
  "meta": {
    "resourceType": "string",
    "created": "string",
    "lastModified": "string",
    "location": "string",
    "version": "string"
  },
  "userName": "string",
  "name": {
    "formatted": "string",
    "familyName": "string",
    "givenName": "string",
    "middleName": "string",
    "honorificPrefix": "string",
    "honorificSuffix": "string"
  },
  "displayName": "string",
  "nickName": "string",
  "profileUrl": "string",
  "title": "string",
  "userType": "string",
  "emails": [
    {
      "value": "string",
      "type": "string",
      "primary": true
    }
  ],
  "phoneNumbers": [
    {
      "value": "string",
      "type": "string",
      "primary": true
    }
  ],
  "active": true,
  "password": "string",
  "groups": [
    {
      "value": "string",
      "$ref": "string",
      "display": "string",
      "type": "string"
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}